%global   realname   snappy
#%%global   checkout   4fc7f4bdc6bfcefcb90b5608ad23e02a6c66c883

Name:           snappy-player
Version:        1.0
Release:        3%{?dist}
Summary:        An open-source Gnome media player
License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://projects.gnome.org/snappy/
Source0:        https://git.gnome.org/browse/snappy/snapshot/snappy-%{version}.tar.gz

BuildRequires:  clutter-devel >= 1.12, clutter-gtk-devel >= 1.02, gstreamer1-devel 
BuildRequires:  gtk3-devel >= 2.5, gstreamer1-plugins-base-devel, clutter-gst2-devel
BuildRequires:  desktop-file-utils

Requires:       clutter-gtk >= 1.02, clutter-gst2

## spice-gtk-tools (earlier releases to 0.19) and snappy-player use same binary name
## See https://bugzilla.gnome.org/show_bug.cgi?id=697122#c16
Conflicts:      spice-gtk-tools < 0.19

%description
%{realname} is an open source media player that gathers the power and flexibility 
of gstreamer inside the comfort of a minimalistic clutter interface. 

%prep
%setup -q -n %{realname}-%{version}

%build
%configure CLUTTER_GST_CFLAGS="-I%{_includedir}/clutter-gst-2.0/" \
           CLUTTER_GST_LIBS="-L%{_libdir} -lclutter-gst-2.0" \
           CFLAGS="%{optflags}" \
           --enable-static=no --disable-maintainer-mode \
           --disable-dependency-tracking --disable-silent-rules \
           --enable-dbus 
make %{?_smp_mflags} 


%install
make DESTDIR=$RPM_BUILD_ROOT install

desktop-file-edit \
 --set-name='Snappy Movie Player' \
 --set-icon='%{_datadir}/icons/hicolor/256x256/apps/%{realname}.png' \
 --add-category='AudioVideo' \
 --set-key=NoDisplay --set-value='false' $RPM_BUILD_ROOT%{_datadir}/applications/%{realname}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor/256x256/apps &>/dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor/48x48/apps &>/dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor/256x256/apps &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor/256x256/apps &>/dev/null || :
    /bin/touch --no-create %{_datadir}/icons/hicolor/48x48/apps &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor/48x48/apps &>/dev/null || :
    /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor/256x256/apps &>/dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor/48x48/apps &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%files
%doc COPYING README THANKS AUTHORS ChangeLog
%{_bindir}/%{realname}
%dir %{_datadir}/%{realname}
%{_datadir}/%{realname}/*.png
%{_datadir}/%{realname}/*.svg
%{_datadir}/applications/%{realname}.desktop
%{_datadir}/icons/hicolor/256x256/apps/%{realname}.png
%{_datadir}/icons/hicolor/48x48/apps/%{realname}.png

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Antonio Trande <sagitter@fedoraproject.org> 1.0-1
- Release 1.0

* Tue Mar 11 2014 Antonio Trande <sagitter@fedoraproject.org> 0.3.7-3.20131221git4fc7f4bd
- New commit

* Sun Nov 24 2013 Antonio Trande <sagitter@fedoraproject.org> 0.3.7-2.20131121git0bd0c0c3
- NoDisplay entry changed to 'false' in the .desktop file

* Thu Nov 21 2013 Antonio Trande <sagitter@fedoraproject.org> 0.3.7-1.20131121git0bd0c0c3
- Update to upstream git commit of the 2013-11-21
- Package building requires 'clutter-gst2-devel' instead of 'clutter-gst-devel' 

* Wed Nov 20 2013 Antonio Trande <sagitter@fedoraproject.org> 0.3.7-1.20131119git8ece98e0
- Update to upstream git commit of the 2013-11-19
- Set CFLAGS (C compiler flags)
- Changed Name/Icon entries and added a category in the .desktop file

* Sat Apr 27 2013 Antonio Trande <sagitter@fedoraproject.org> 0.3.7-1
- Update to 0.3.7
- Package renamed as 'snappy-player' to avoid conflict with 'snappy' library
  according to upstream (https://bugzilla.gnome.org/show_bug.cgi?id=697122)
- Definited 'realname' macro
- Added missing Autotools files in source archive
- Removed Explicit Requires 
- Set the environment variables CLUTTER_GST_CFLAGS/CLUTTER_GST_LIBS
- Defined binary name conflict

* Wed Apr 03 2013 Antonio Trande <sagitter@fedoraproject.org> 0.3-2
- Added more options to %%configure

* Tue Apr 02 2013 Antonio Trande <sagitter@fedoraproject.org> 0.3-1
- Initial package
